%define rdtk_major      2
%define winpr_major     2
%define uwac_major      0
%define major           2

%define devname		%mklibname %{name} -d

%define librdtk		%mklibname rdtk %{rdtk_major}
%define libwinpr	%mklibname winpr %{winpr_major}
%define libuwac		%mklibname uwac %{uwac_major}
%define libclient	%mklibname freerdp-client %{major}
%define libxclient	%mklibname xfreerdp-client %{major}
%define libserver	%mklibname freerdp-server %{major}
%define libshadow	%mklibname freerdp-shadow %{major}
%define libname		%mklibname freerdp %{major}

%define date            20160317
%if %{date}
%define rel         0.git%{date}.1
%define tarballver      %{commit}
%define tarballdir      %{commit}
%define tarballgit      +git%{date}
%define commit          75ae3f58df5a14b4a67439aca96061a9c2ea5040
%else
%define rel         1
%define tarballver      %{version}
%define tarballdir      v%{version}
%endif

Summary:	A free remote desktop protocol client
Name:		freerdp
Version:	2.0.0
Release:	%{rel}
License:	Apache License
Group:		Networking/Remote access
Url:		http://freerdp.sourceforge.net/
#Source0:	https://github.com/downloads/FreeRDP/FreeRDP/%{name}-%{version}.tar.gz
Source0:	https://github.com/FreeRDP/FreeRDP/archive/%{tarballdir}/FreeRDP-%{version}%{?tarballgit}.tar.gz
BuildRequires:	cmake
BuildRequires:	docbook-style-xsl
BuildRequires:	xmlto
BuildRequires:	cups-devel
BuildRequires:	jpeg-devel
BuildRequires:	gsm-devel
BuildRequires:	pkgconfig(libpulse)
BuildRequires:  pkgconfig(gstreamer-1.0)
BuildRequires:  pkgconfig(gstreamer-base-1.0)
BuildRequires:  pkgconfig(gstreamer-app-1.0)
BuildRequires:  pkgconfig(gstreamer-audio-1.0)
BuildRequires:  pkgconfig(gstreamer-fft-1.0)
BuildRequires:  pkgconfig(gstreamer-pbutils-1.0)
BuildRequires:  pkgconfig(gstreamer-video-1.0)
BuildRequires:	pkgconfig(openssl)
BuildRequires:	pkgconfig(libpcsclite)
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(xcursor)
BuildRequires:	pkgconfig(xdamage)
BuildRequires:	pkgconfig(xext)
BuildRequires:	pkgconfig(xinerama)
BuildRequires:	pkgconfig(xkbfile)
BuildRequires:	pkgconfig(xv)
Obsoletes:	%{mklibname freerdp-utils 1} < %{EVRD}
Obsoletes:	%{mklibname freerdp-rail 1} < %{EVRD}
Obsoletes:	%{mklibname freerdp-kbd 1} < %{EVRD}
Obsoletes:	%{mklibname freerdp-gdi 1} < %{EVRD}
Obsoletes:	%{mklibname freerdp-core 1} < %{EVRD}
Obsoletes:	%{mklibname freerdp-codec 1} < %{EVRD}
Obsoletes:	%{mklibname freerdp-channels 1} < %{EVRD}
Obsoletes:	%{mklibname freerdp-cache 1} < %{EVRD}

%description
FreeRDP is a fork of the rdesktop project.

%files
%doc ChangeLog LICENSE README
%{_bindir}/*
%{_mandir}/man1/xfreerdp.1.*

#----------------------------------------------------------------------------

%package -n %{libname}
Summary:	Shared library for %{name}
Group:		System/Libraries
Conflicts:	%{_lib}freerdp1 < 1.0.2

%description -n %{libname}
Shared library for %{name}.

%files -n %{libname}
%{_libdir}/libfreerdp.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{libwinpr}
Summary:	Shared library for %{name}
Group:		System/Libraries
Conflicts:	%{_lib}freerdp1 < 1.0.2

%description -n %{libwinpr}
Shared library for %{name}.

%files -n %{libwinpr}
%{_libdir}/libwinpr.so.%{winpr_major}*

#----------------------------------------------------------------------------

%package -n %{librdtk}
Summary:	Shared library for %{name}
Group:		System/Libraries
Conflicts:	%{_lib}freerdp1 < 1.0.2
Obsoletes:	%{_lib}freerdp1 < 1.0.2

%description -n %{librdtk}
Shared library for %{name}.

%files -n %{librdtk}
%{_libdir}/librdtk.so.%{rdtk_major}*

#----------------------------------------------------------------------------

%package -n %{libclient}
Summary:	Shared library for %{name}
Group:		System/Libraries
Conflicts:	%{_lib}freerdp1 < 1.0.2

%description -n %{libclient}
Shared library for %{name}.

%files -n %{libclient}
%{_libdir}/libfreerdp-client.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{libxclient}
Summary:	Shared library for %{name}
Group:		System/Libraries
Conflicts:	%{_lib}freerdp1 < 1.0.2

%description -n %{libxclient}
Shared library for %{name}.

%files -n %{libxclient}
%{_libdir}/libxfreerdp-client.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{libserver}
Summary:	Shared library for %{name}
Group:		System/Libraries
Conflicts:	%{_lib}freerdp1 < 1.0.2

%description -n %{libserver}
Shared library for %{name}.

%files -n %{libserver}
%{_libdir}/libfreerdp-server.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{libshadow}
Summary:	Shared library for %{name}
Group:		System/Libraries
Conflicts:	%{_lib}freerdp1 < 1.0.2

%description -n %{libshadow}
Shared library for %{name}.

%files -n %{libshadow}
%{_libdir}/libfreerdp-shadow*.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{devname}
Summary:	Development files for %{name}
Group:		Development/C++
Requires:	%{libname} = %{EVRD}
Requires:	%{libclient} = %{EVRD}
Requires:	%{libwinpr} = %{EVRD}
Requires:	%{librdtk} = %{EVRD}
Requires:	%{libshadow} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}

%description -n %{devname}
Development files and headers for %{name}.

%files -n %{devname}
%{_libdir}/*.so
%{_libdir}/*.a
%{_includedir}/*
%{_libdir}/pkgconfig/*.pc
%{_libdir}/cmake/*

#----------------------------------------------------------------------------

%prep
%setup -qn FreeRDP-%{tarballver}

%build
%cmake \
    -DWITH_CUPS=ON \
    -DWITH_PULSE=ON \
    -DWITH_X11=ON \
    -DWITH_XCURSOR=ON \
    -DWITH_XEXT=ON \
    -DWITH_XINERAMA=ON \
    -DWITH_XKBFILE=ON \
    -DWITH_XV=ON \
    -DWITH_GSM=ON \
    -DWITH_ALSA=OFF \
    -DWITH_JPEG=ON \
    -DWITH_WAYLAND=OFF \
    -DWITH_PCSC=ON \
    -DWITH_ZLIB=ON \
    -DWITH_SERVER=ON \
    -DWITH_FFMPEG=ON \
    -DWITH_CUNIT=OFF \
    -DWITH_DIRECTFB=OFF \
    -DWITH_FFMPEG=OFF \
    -DWITH_SSE2=OFF \
    -DCMAKE_INSTALL_LIBDIR:PATH=%{_lib}
%make

%install
%makeinstall_std -C build


%changelog

* Tue Apr 26 2016 Denis Silakov <dsilakov@gmail.com> 2.0.0-0.git20160317.1
- (123cfa6) Added xdamage BR


